g15-desktop-service(1)

NAME
g15-desktop-service - Starts Gnome15 Desktop service

SYNOPSIS
g15-desktop-service [-c]

DESCRIPTION
g15-desktop-service Gnome15 is a suite of applications and plugins that provide integration of the Logitech G series keyboards into the GNOME desktop environment. This service is responsible for connecting to the underlying service appropriate for the hardware (i.e. g15daemon or g19d), managing and running the plugins, displaying the plugin's output on the LCD, delivering key events to X when macro keys are activated. It also provides the DBUS service used by various clients such as the Panel Applet, Indicator or System Tray Icon, or other external examples that want to draw on the LCD. The first time Gnome15 is used, you will be prompted for which driver to use (additional packages may be required for your hardware).

OPTIONS

-l DEBUG|INFO|WARNING|ERROR
    Set the log level.

-f  Force the service to run in the foreground.

start
    Starts the service.

stop
    Stops the service.

AUTHOR
Brett Smith <tanktarta@blueyonder.co.uk>

SEE ALSO
g15-config(1), g15-indicator(1) g15-systemtray(1) g15-system-service(1)